org.apache.jmeter.testelement

## Interface TestElementTraverser

    public interface TestElementTraverser

For traversing Test Elements, which contain property that can be other test elements, strings, collections, maps, objects

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `endProperty(JMeterProperty key)` Notification that a property is ending.
`void` `endTestElement(TestElement el)` Notification that the test element is now done.
`void` `startProperty(JMeterProperty key)` Notification that a property is starting.
`void` `startTestElement(TestElement el)` Notification that a new test element is about to be traversed.

### Method Detail

#### startTestElement

    void startTestElement(TestElement el)

Notification that a new test element is about to be traversed.

Parameters:
  `el` - element to be traversed

#### endTestElement

    void endTestElement(TestElement el)

Notification that the test element is now done.

Parameters:
  `el` - element that was traversed

#### startProperty

    void startProperty(JMeterProperty key)

Notification that a property is starting. This could be a test element property or a Map property - depends on the context.

Parameters:
  `key` - property to be traversed

#### endProperty

    void endProperty(JMeterProperty key)

Notification that a property is ending. Again, this could be a test element or a Map property, depending on the context.

Parameters:
  `key` - property that was traversed